#define ohs_init
global.dll_ohs_set_password = external_define("ohs.dll","ohs_set_password",dll_stdcall,ty_real,1,ty_string);
global.dll_ohs_set_url = external_define("ohs.dll","ohs_set_url",dll_stdcall,ty_real,2,ty_string,ty_string);
global.dll_ohs_set_table = external_define("ohs.dll","ohs_set_table",dll_stdcall,ty_real,1,ty_string);
global.dll_ohs_get_status = external_define("ohs.dll","ohs_get_status",dll_stdcall,ty_real,0);
global.dll_ohs_get_position = external_define("ohs.dll","ohs_get_position",dll_stdcall,ty_real,0);
global.dll_ohs_table_clear = external_define("ohs.dll","ohs_table_clear",dll_stdcall,ty_real,0);
global.dll_ohs_table_update = external_define("ohs.dll","ohs_table_update",dll_stdcall,ty_real,0);
global.dll_ohs_table_get = external_define("ohs.dll","ohs_table_get",dll_stdcall,ty_string,2,ty_real,ty_real);
global.dll_ohs_header_get = external_define("ohs.dll","ohs_header_get",dll_stdcall,ty_string,1,ty_real);
global.dll_ohs_table_columns = external_define("ohs.dll","ohs_table_columns",dll_stdcall,ty_real,0);
global.dll_ohs_table_rows = external_define("ohs.dll","ohs_table_rows",dll_stdcall,ty_real,0);
global.dll_ohs_submit_add = external_define("ohs.dll","ohs_submit_add",dll_stdcall,ty_real,2,ty_real,ty_string);
global.dll_ohs_submit_clear = external_define("ohs.dll","ohs_submit_clear",dll_stdcall,ty_real,0);
#define ohs_set_password
// sets the password for submissions
//   argument0 = password

external_call(global.dll_ohs_set_password,argument0);
#define ohs_set_url
// sets the url for updating
//   argument0 = host
//   argument1 = file

external_call(global.dll_ohs_set_url,argument0,argument1);
#define ohs_set_table
// sets the name of the table to update
//   argument0 = table name

external_call(global.dll_ohs_set_table,argument0);
#define ohs_get_status
// returns status of the last highscore update
//   0 = successfully submitted score
//   1 = successfully received table without submission
//   2 = wrong password
//   3 = table not found
//   4 = table or types incorrect

return external_call(global.dll_ohs_get_status);
#define ohs_get_position
// returns the place of the last submission if available, otherwise -1

return external_call(global.dll_ohs_get_position);
#define ohs_table_clear
// clears memory of the last received table

return external_call(global.dll_ohs_table_clear);
#define ohs_table_update
// updates the specified table with or without submitting a score
// returns whether loading was successful

return external_call(global.dll_ohs_table_update);
#define ohs_table_get
// returns a cell in the table
//   argument0 = column
//   argument1 = row

return external_call(global.dll_ohs_table_get,argument0,argument1);
#define ohs_header_get
// returns the header name of the specified column
//   argument0 = column

return external_call(global.dll_ohs_header_get,argument0);
#define ohs_table_columns
// returns the number of columns in the table

return external_call(global.dll_ohs_table_columns);
#define ohs_table_rows
// returns the number of rows in the table

return external_call(global.dll_ohs_table_rows);
#define ohs_submit_add
// sets a value for a column to submit
//  argument0 = column (0 for the first one)
//  argument1 = value

return external_call(global.dll_ohs_submit_add,argument0,argument1);
#define ohs_submit_clear
// clears all values for submission

external_call(global.dll_ohs_submit_clear);
